curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/transMemories/downloadExport/{asyncRequestId} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/downloadExport/{asyncRequestId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/downloadExport/{asyncRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Download export
Downloads the TMX or XLSX file produced by exportByQueryAsync. The asyncRequest must be in a completed state before downloading. Use the fields parameter to select which columns to include when format=XLSX. Use the packaging parameter to wrap a TMX download in a ZIP archive containing a single TMX entry; packaging=ZIP is not supported for format=XLSX, since XLSX is already a compressed container.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Async request ID returned by exportByQueryAsync
Query Parameters
Export file format
TMX, XLSX Fields to include in exported XLSX
ID, TEXT, PREVIOUS_SEGMENT, NEXT_SEGMENT, CONTEXT_KEY, CREATED_BY, CREATED_AT, MODIFIED_BY, MODIFIED_AT, CLIENT, PROJECT, DOMAIN, SUBDOMAIN, NOTE, REVIEWED, ALIGNED, FILENAME, METADATA Archive packaging for the downloaded file. ZIP is only supported for format=TMX
NONE, ZIP Response
OK
Was this page helpful?